class ReviewsController < ApplicationController
  def index
    @reviews = Review.recent(10).approved
  end
  
  def create
    @movie = Movie.find(params[:movie_id])
    @review = @movie.reviews.build(params[:review])
    @review.author_is_admin = admin?
    if @review.save
      redirect_to @movie
    else
      render :action => 'new'
    end
  end
end
